Subject: Re: [Pv-drivers] [PATCH 0/6] VSOCK for Linux upstreaming

From: Andy King <[email-masked]>
Date: Mon, 5 Nov 2012 10:19:52 -0800 (PST)

Hi David,

> The big and only question is whether anyone can actually use any of
> this stuff without your proprietary bits?

Do you mean the VMCI calls?  The VMCI driver is in the process of being
upstreamed into the drivers/misc tree.  Greg (cc'd on these patches) is
actively reviewing that code and we are addressing feedback.

Also, there was some interest from RedHat into using vSockets as a unified
interface, routed over a hypervisor-specific transport (virtio or
otherwise, although for now VMCI is the only one implemented).

Thanks!
- Andy